#@data/values-schema
---
#@overlay/match missing_ok=True
cluster:
  domain: ""
  ingress:
    className: ""
  tls:
    issuer: ""
  storageClass:
    block: ""
    local: ""

#@overlay/match missing_ok=True
backups:
  enabled: false
  s3:
    endpoint: ""
    region: ""
  storagebox:
    enabled: false

#@overlay/match missing_ok=True
ocis:
  insecure: false
  s3:
    external: false
    endpoint: ""
    region: ""
    bucket: ""

#@overlay/match missing_ok=True
forgejo:
  sshPort: 22
  #@schema/type any=True
  nodeSelector: {}
  backup:
    s3Bucket: ""
